跳转到主要内容
运维管理/监控相关接口/通知服务相关接口
DELETENotification Service APIs起始版本 2.3同步需要认证

退订SNS主题

退订SNS主题

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

路径参数

请求参数

路径参数

  • topicUuidString必填

    主题UUID

  • endpointUuidString必填

    终端UUID

请求体字段

  • systemTagsList

    系统标签

  • userTagsList

    用户标签

响应状态

DELETE 接口成功时返回空对象,失败时返回标准错误结构。

成功响应

{}

错误响应

{
  "error": {
    "code": "SYS.1001",
    "description": "A message or a operation timeout",
    "details": "Delete resource timeout after 300s"
  }
}

请求地址

DELETE/zstack/v1/sns/topics/{topicUuid}/endpoints/{endpointUuid}

/zstack/v1/sns/topics/{topicUuid}/endpoints/{endpointUuid}

操作 ID

UnsubscribeSNSTopic

永久链接

请求示例

curl -X DELETE 'http://{host}/zstack/v1/sns/topics/{topicUuid}/endpoints/{endpointUuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

响应示例

200
{}

变更历史

此 API 暂无变更历史记录。

查看全部变更历史